// javac List1.java
// java List1
public class List1 {

	enum WEEKLY_DAY {
		MONDAY,
		TUESDAY,
		WEDNESDAY,
		THURSDAY,
		FRIDAY,
		SATURDAY,
		SUNDAY,
	}

	public static void main(String... args) {
		final WEEKLY_DAY day = WEEKLY_DAY.MONDAY; // 仮の値

		// ここから本文で触れた箇所
		String gomi;
		switch (day) {
			// 月曜と木曜は燃えるゴミの日、breakの位置でまとめている
			case MONDAY:
			case THURSDAY:
				gomi = "燃えるゴミ";
				break;
			case FRIDAY:
				gomi = "燃えないゴミ";
				break;
			case WEDNESDAY:
				gomi = "リサイクルゴミ";
				break;
			case TUESDAY:
			case SATURDAY:
			case SUNDAY:
				gomi = "なし";
				break;
			default:
				// 曜日以外の値が入力されたらエラーを投げる
				throw new IllegalStateException("Invalid day: " + day);
		}
		// ここまで

		System.out.println(gomi);
	}
}
