// javac --enable-preview --release 12 List2.java
// java --enable-preview List2
public class List2 {

	enum WEEKLY_DAY {
		MONDAY,
		TUESDAY,
		WEDNESDAY,
		THURSDAY,
		FRIDAY,
		SATURDAY,
		SUNDAY,
	}

	public static void main(String... args) {
		final WEEKLY_DAY day = WEEKLY_DAY.MONDAY; // 仮の値

		// ここから本文で触れた箇所
		String gomi = switch (day) {
			case MONDAY, THURSDAY -> "燃えるゴミ";
			case FRIDAY ->  "燃えないゴミ";
			case WEDNESDAY -> "リサイクルゴミ";
			case TUESDAY, SATURDAY, SUNDAY -> "なし";
			default -> throw new IllegalStateException("Invalid day: " + day);
		};
		// ここまで

		System.out.println(gomi);
	}
}
